# DateTime::createFromImmutable

(PHP 7 >= 7.3.0)

DateTime::createFromImmutable — Returns new DateTime object encapsulating the given DateTimeImmutable object

### Description

public static DateTime::createFromImmutable ( DateTimeImmutable `$datetime` ) : DateTime

### Parameters

`datetime`

  The immutable DateTimeImmutable object that needs to be converted to a mutable version. This object is not modified, but instead a new DateTime object is created containing the same date, time, and timezone information.

### Examples

Example #1 Creating a mutable date time object

`<?php
$date = new DateTimeImmutable("2014-06-20 11:45 Europe/London");
$mutable = DateTime::createFromImmutable( $date );
?>`

### Return Values

Returns a new DateTime instance.